Commit 792b3581 authored by Jude Nelson's avatar Jude Nelson

Merge tag 'upstream/1.8.18'

Upstream version 1.8.18

Conflicts:
	debian/changelog
	debian/control
	debian/rules
parents 25ca72fd 47c7cfc5
This diff is collapsed.
doc/dbus.devhelp
debian/dbus.install
Source: dbus
Section: admin
Priority: optional
Maintainer: Jude Nelson <judecn@devuan.org>
Uploaders: Denis Roio <jaromil@dyne.org>
# The following packages can be omitted for bootstrapping, but provide extra
# features:
# libaudit-dev
# libcap-ng-dev
# libsystemd-dev (circular dependency)
# The following packages can be omitted for bootstrapping, but provide extra
# debugging support in /usr/lib/*/dbus-1.0/debug-build:
# valgrind
# The following packages can be omitted for bootstrapping, but improve test
# coverage:
# libdbus-glib-1-dev (circular dependency)
# libglib2.0-dev
# python
# python-dbus (circular dependency)
# python-gobject
Build-Depends: automake (>= 1:1.10),
autotools-dev,
debhelper (>= 9),
dh-autoreconf,
doxygen,
dpkg-dev (>= 1.16.1),
libaudit-dev [linux-any],
libcap-ng-dev [linux-any],
libexpat-dev,
libdbus-glib-1-dev,
libglib2.0-dev,
libselinux1-dev [linux-any],
libx11-dev,
python (>= 2.6),
python-dbus,
python-gobject,
valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
xmlto,
xsltproc
Standards-Version: 3.9.5
Vcs-Git: https://git.devuan.org/packages-base/dbus.git
Vcs-Browser: https://git.devuan.org/packages-base/dbus
Homepage: http://dbus.freedesktop.org/
XS-Testsuite: autopkgtest
Package: dbus
Architecture: any
Priority: standard
Depends: ${shlibs:Depends},
${misc:Depends},
adduser,
lsb-base (>= 3.2-14)
Suggests: dbus-x11
Multi-Arch: foreign
Description: simple interprocess messaging system (daemon and utilities)
D-Bus is a message bus, used for sending messages between applications.
Conceptually, it fits somewhere in between raw sockets and CORBA in
terms of complexity.
.
D-Bus supports broadcast messages, asynchronous messages (thus
decreasing latency), authentication, and more. It is designed to be
low-overhead; messages are sent using a binary protocol, not using
XML. D-Bus also supports a method call mapping for its messages, but
it is not required; this makes using the system quite simple.
.
It comes with several bindings, including GLib, Python, Qt and Java.
.
This package contains the D-Bus daemon and related utilities.
.
The client-side library can be found in the libdbus-1-3 package, as it is no
longer contained in this package.
Package: dbus-udeb
Section: debian-installer
Priority: extra
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends},
${misc:Depends}
Description: simple interprocess messaging system (minimal runtime)
D-Bus is a message bus, used for sending messages between applications.
.
This package is a minimal version of the dbus and dbus-x11 packages,
for use in the Debian installer. It can run a session bus, but is not
suitable for use as a system bus.
Package: dbus-x11
Architecture: any
Section: x11
Depends: ${shlibs:Depends},
${misc:Depends},
dbus
Breaks: x11-common (<< 1:7.5+4)
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
D-Bus is a message bus, used for sending messages between applications.
Conceptually, it fits somewhere in between raw sockets and CORBA in
terms of complexity.
.
This package contains the dbus-launch utility which is necessary for
packages using a D-Bus session bus.
.
See the dbus description for more information about D-Bus in general.
Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
${misc:Depends}
Breaks: kdebase-workspace-bin (<< 4:4.4.5-9),
kde-window-manager (<< 4:4.4.5-9)
Recommends: dbus
Section: libs
Description: simple interprocess messaging system (library)
D-Bus is a message bus, used for sending messages between applications.
Conceptually, it fits somewhere in between raw sockets and CORBA in
terms of complexity.
.
D-Bus supports broadcast messages, asynchronous messages (thus
decreasing latency), authentication, and more. It is designed to be
low-overhead; messages are sent using a binary protocol, not using
XML. D-Bus also supports a method call mapping for its messages, but
it is not required; this makes using the system quite simple.
.
It comes with several bindings, including GLib, Python, Qt and Java.
.
The daemon can be found in the dbus package.
Package: libdbus-1-3-udeb
Section: debian-installer
Priority: extra
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends},
${misc:Depends}
Description: simple interprocess messaging system (minimal library)
D-Bus is a message bus, used for sending messages between applications.
.
This package is a minimal version of the libdbus-1-3 package,
for use in the Debian installer.
Package: dbus-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libdbus-1-dev
Description: simple interprocess messaging system (documentation)
D-Bus is a message bus, used for sending messages between applications.
Conceptually, it fits somewhere in between raw sockets and CORBA in
terms of complexity.
.
This package contains the API documentation for D-Bus, as well as
the protocol specification.
.
See the dbus description for more information about D-Bus in general.
Package: libdbus-1-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libdbus-1-3 (= ${binary:Version}),
${misc:Depends},
${shlibs:Depends},
pkg-config
Description: simple interprocess messaging system (development headers)
D-Bus is a message bus, used for sending messages between applications.
Conceptually, it fits somewhere in between raw sockets and CORBA in
terms of complexity.
.
See the dbus description for more information about D-Bus in general.
Package: dbus-1-dbg
Section: debug
Priority: extra
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libdbus-1-3 (= ${binary:Version}),
dbus (= ${binary:Version}),
dbus-x11 (= ${binary:Version}),
${shlibs:Depends},
${misc:Depends}
Description: simple interprocess messaging system (debug symbols)
D-Bus is a message bus, used for sending messages between applications.
Conceptually, it fits somewhere in between raw sockets and CORBA in
terms of complexity.
.
This package provides support for debugging programs that use the core
D-Bus shared library.
.
See the dbus package description for more information about D-Bus in general.
This diff is collapsed.
dbus (1.4.8-4) UNRELEASED; urgency=low
Versions of libdbus, dbus-daemon etc. with debugging, verbose output
and self-tests enabled are now installed in
/usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`/dbus-1.0/debug-build
for use in debugging D-Bus-related issues.
The debug versions of dbus-daemon etc. can be used by adding the bin
directory to the PATH, while the debug version of libdbus can be used via
LD_PRELOAD or by adding the lib directory to the LD_LIBRARY_PATH.
-- Simon McVittie <smcv@debian.org> Wed, 01 Jun 2011 14:18:00 +0100
debian/tmp/usr/lib/*/dbus-1.0/test
debian/tmp/usr/lib/*/dbus-1.0/debug-build/bin
debian/tmp/usr/lib/*/dbus-1.0/debug-build/lib
# false positive: we only say dbus when talking about a package name
dbus-1-dbg: capitalization-error-in-description dbus D-Bus
Document: dbus-api
Title: libdbus API Reference
Section: Programming/C
Format: HTML
Index: /usr/share/doc/dbus/api/index.html
Files: /usr/share/doc/dbus/api/*
Document: dbus-faq
Title: D-Bus FAQ
Section: Programming
Format: HTML
Index: /usr/share/doc/dbus/dbus-faq.html
Files: /usr/share/doc/dbus/dbus-faq.html
Document: dbus-specification
Title: D-Bus Specification
Section: Programming
Format: HTML
Index: /usr/share/doc/dbus/dbus-specification.html
Files: /usr/share/doc/dbus/dbus-specification.html
Document: dbus-system-activation
Title: D-Bus System Activation
Section: Programming
Format: Text
Files: /usr/share/doc/dbus/system-activation.txt
Document: dbus-tutorial
Title: D-Bus Tutorial
Section: Programming
Format: HTML
Index: /usr/share/doc/dbus/dbus-tutorial.html
Files: /usr/share/doc/dbus/dbus-tutorial.html
usr/share/doc/dbus/dbus-faq.html usr/share/doc/dbus-1-doc/html/dbus-faq.html
usr/share/doc/dbus/dbus-specification.html usr/share/doc/dbus-1-doc/dbus-specification.html
usr/share/doc/dbus/dbus-specification.html usr/share/doc/dbus-1-doc/html/dbus-specification.html
usr/share/doc/dbus/dbus-test-plan.html usr/share/doc/dbus-1-doc/dbus-test-plan.html
usr/share/doc/dbus/dbus-tutorial.html usr/share/doc/dbus-1-doc/html/dbus-tutorial.html
usr/share/doc/dbus/api usr/share/doc/dbus-1-doc/html/api
usr/share/doc/dbus usr/share/gtk-doc/html/dbus
# false positive: we only say dbus when talking about a package name
dbus-1-doc: capitalization-error-in-description dbus D-Bus
# $Id:$
# In order to activate the session bus at X session launch
# simply place use-session-dbus into your /etc/X11/Xsession.options file
#
STARTDBUS=
DBUSLAUNCH=/usr/bin/dbus-launch
if has_option use-session-dbus; then
if [ -x "$DBUSLAUNCH" ]; then
STARTDBUS=yes
fi
fi
if [ -n "$STARTDBUS" ]; then
STARTUP="$DBUSLAUNCH --exit-with-session $STARTUP"
fi
debian/tmp/etc/dbus-1/session.conf etc/dbus-1
debian/tmp/etc/dbus-1/session.d etc/dbus-1
debian/tmp-udeb/usr/bin/dbus-daemon usr/bin
debian/tmp-udeb/usr/bin/dbus-run-session usr/bin
debian/tmp-udeb/usr/bin/dbus-uuidgen usr/bin
debian/tmp-udeb/usr/bin/dbus-launch usr/bin
#!/bin/sh
set -e
dbus-uuidgen --ensure
#DEBHELPER#
debian/tmp/usr/bin/dbus-launch
debian/tmp/usr/share/man/man1/dbus-launch.1
# false positive: we only say dbus when talking about a package name
dbus-x11: capitalization-error-in-description dbus D-Bus
Adjusting limits to mitigate denial of service
==============================================
'dbus-daemon --system' has several arbitrary limits which are a trade-off
between working correctly when not under attack, and preventing local
denial of service attacks. System administrators with particularly hostile
local users should review these limits and tune them if necessary.
In particular, the fix for CVE-2014-3639 in dbus-1.8.8 makes it difficult
for local users to prevent connections completely, but they can still
introduce a delay which increases with larger authentication timeout
(auth_timeout) values, by opening many parallel connections from
different processes and never completing the authentication handshake.
As a result, dbus 1.8.8 also reduced the auth_timeout from 30 seconds
to 5 seconds to mitigate this delay. However, this change resulted in
boot failures on some systems because systemd could not authenticate
sufficiently quickly while the system was busy, and was reverted in 1.8.12.
On fast systems with hostile local users, administrators can reduce this
delay by returning to the 5 second timeout (or any other value in
milliseconds), by saving this as /etc/dbus-1/system-local.conf or a file
matching /etc/dbus-1/system.d/*.conf:
<busconfig>
<limit name="auth_timeout">5000</limit>
</busconfig>
If applying this change, please reboot several times and check the
syslog or Journal for messages containing "Connection has not authenticated
soon enough, closing it". Seeing that message while not subject to a
denial-of-service attack indicates that the auth_timeout has been set
too short.
package-status: systemd systemd-sysv dbus-x11
# This is a configuration file for /etc/init.d/dbus; it allows you to
# perform common modifications to the behavior of the dbus daemon
# startup without editing the init script (and thus getting prompted
# by dpkg on upgrades). We all love dpkg prompts.
# Parameters to pass to dbus.
PARAMS=""
#!/bin/sh
### BEGIN INIT INFO
# Provides: dbus
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: D-Bus systemwide message bus
# Description: D-Bus is a simple interprocess messaging system, used
# for sending messages between applications.
### END INIT INFO
# -*- coding: utf-8 -*-
# Debian init.d script for D-BUS
# Copyright © 2003 Colin Walters <walters@debian.org>
# Copyright © 2005 Sjoerd Simons <sjoerd@debian.org>
set -e
DAEMON=/usr/bin/dbus-daemon
UUIDGEN=/usr/bin/dbus-uuidgen
UUIDGEN_OPTS=--ensure
NAME=dbus
DAEMONUSER=messagebus
PIDDIR=/var/run/dbus
PIDFILE=$PIDDIR/pid
DESC="system message bus"
test -x $DAEMON || exit 0
. /lib/lsb/init-functions
# Source defaults file; edit that file to configure this script.
PARAMS=""
if [ -e /etc/default/dbus ]; then
. /etc/default/dbus
fi
create_machineid() {
# Create machine-id file
if [ -x $UUIDGEN ]; then
$UUIDGEN $UUIDGEN_OPTS
fi
}
start_it_up()
{
if [ ! -d $PIDDIR ]; then
mkdir -p $PIDDIR
chown $DAEMONUSER $PIDDIR
chgrp $DAEMONUSER $PIDDIR
fi
if ! mountpoint -q /proc/ ; then
log_failure_msg "Can't start $DESC - /proc is not mounted"
return
fi
if [ -e $PIDFILE ]; then
if $0 status > /dev/null ; then
log_success_msg "$DESC already started; not starting."
return
else
log_success_msg "Removing stale PID file $PIDFILE."
rm -f $PIDFILE
fi
fi
create_machineid
log_daemon_msg "Starting $DESC" "$NAME"
start-stop-daemon --start --quiet --pidfile $PIDFILE \
--exec $DAEMON -- --system $PARAMS
log_end_msg $?
}
shut_it_down()
{
log_daemon_msg "Stopping $DESC" "$NAME"
start-stop-daemon --stop --retry 5 --quiet --oknodo --pidfile $PIDFILE \
--user $DAEMONUSER
# We no longer include these arguments so that start-stop-daemon
# can do its job even given that we may have been upgraded.
# We rely on the pidfile being sanely managed
# --exec $DAEMON -- --system $PARAMS
log_end_msg $?
rm -f $PIDFILE
}
reload_it()
{
create_machineid
log_action_begin_msg "Reloading $DESC config"
dbus-send --print-reply --system --type=method_call \
--dest=org.freedesktop.DBus \
/ org.freedesktop.DBus.ReloadConfig > /dev/null
# hopefully this is enough time for dbus to reload it's config file.
log_action_end_msg $?
}
case "$1" in
start)
start_it_up
;;
stop)
shut_it_down
;;
reload|force-reload)
reload_it
;;
restart)
shut_it_down
start_it_up
;;
status)
status_of_proc -p $PIDFILE $DAEMON $NAME && exit 0 || exit $?
;;
*)
echo "Usage: /etc/init.d/$NAME {start|stop|reload|restart|force-reload|status}" >&2
exit 2
;;
esac
debian/tmp/etc/dbus-1/
debian/tmp/usr/bin/dbus-daemon
debian/tmp/usr/bin/dbus-cleanup-sockets
debian/tmp/usr/bin/dbus-run-session
debian/tmp/usr/bin/dbus-send
debian/tmp/usr/bin/dbus-uuidgen
debian/tmp/usr/bin/dbus-monitor
debian/tmp/usr/lib/dbus-1.0/dbus-daemon-launch-helper
debian/tmp/usr/share/man/man1/dbus-daemon.1
debian/tmp/usr/share/man/man1/dbus-cleanup-sockets.1
debian/tmp/usr/share/dbus-1/services
debian/tmp/usr/share/dbus-1/system-services
debian/tmp/usr/share/man/man1/dbus-run-session.1
debian/tmp/usr/share/man/man1/dbus-send.1
debian/tmp/usr/share/man/man1/dbus-uuidgen.1
debian/tmp/usr/share/man/man1/dbus-monitor.1
debian/tmp/lib/systemd/system/dbus.service
debian/tmp/lib/systemd/system/dbus.socket
debian/tmp/lib/systemd/system/dbus.target.wants/dbus.socket
debian/tmp/lib/systemd/system/multi-user.target.wants/dbus.service
debian/tmp/lib/systemd/system/sockets.target.wants/dbus.socket
# yes we do want to ship these
dbus: package-contains-empty-directory usr/share/dbus-1/services/
dbus: package-contains-empty-directory usr/share/dbus-1/system-services/
#!/bin/sh
# Copyright © 2003 Colin Walters <walters@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
set -e
MESSAGEUSER=messagebus
MESSAGEHOME=/var/run/dbus
LAUNCHER=/usr/lib/dbus-1.0/dbus-daemon-launch-helper
# This is what the init script would do, but it's simpler (and less
# dependent on sysvinit vs. Upstart vs. etc.) if we do it directly.
reload_dbus_config() {
[ -S /var/run/dbus/system_bus_socket ] || return 0
dbus-send --print-reply --system --type=method_call \
--dest=org.freedesktop.DBus \
/ org.freedesktop.DBus.ReloadConfig > /dev/null || true
}
if [ "$1" = triggered ]; then
reload_dbus_config
exit 0
fi
if [ "$1" = configure ]; then
adduser --system \
--quiet \
--home "$MESSAGEHOME" \
--no-create-home \
--disabled-password \
--group "$MESSAGEUSER"
if ! dpkg-statoverride --list "$LAUNCHER" >/dev/null; then
dpkg-statoverride --update --add root "$MESSAGEUSER" 4754 "$LAUNCHER"
fi
# This is idempotent, so it's OK to do every time. The system bus' init
# script does this anyway, but you also have to do this before a session
# bus will work, so we do this here for the benefit of people starting
# a temporary session bus in a chroot
dbus-uuidgen --ensure
fi
# Remove stop symlinks for runlevel 1 as killprocs already does the job for us.
if [ "$1" = configure ] && dpkg --compare-versions "$2" lt-nl 1.2.24-1; then
rm -f /etc/rc1.d/K??dbus
fi
if [ "$1" = configure ] && [ -n "$2" ]; then
# On upgrades, we only reload config, and don't restart (restarting the
# system bus is not supported by upstream). The code added by
# dh_installinit -r creates a start action, below.
if [ -x "/etc/init.d/dbus" ] && /etc/init.d/dbus status > /dev/null; then
# trigger an update notification which recommends to reboot
[ -x /usr/share/update-notifier/notify-reboot-required ] && \
/usr/share/update-notifier/notify-reboot-required || true
fi
fi
reload_dbus_config
#DEBHELPER#
#!/bin/sh
set -e
if [ "$1" = "purge" ] ; then
rmdir /var/run/dbus || true
rm -f /var/lib/dbus/machine-id
rmdir /var/lib/dbus || true
LAUNCHER=/usr/lib/dbus-1.0/dbus-daemon-launch-helper
if dpkg-statoverride --list "$LAUNCHER" >/dev/null 2>&1 ; then
dpkg-statoverride --remove "$LAUNCHER"
fi
fi
#DEBHELPER#
exit 0
interest-noawait /etc/dbus-1/system.d
interest-noawait /usr/share/dbus-1/system-services
[DEFAULT]
pristine-tar = True
debian-branch = master
upstream-branch = upstream
# false positive: we only say dbus when talking about a package name
libdbus-1-3: capitalization-error-in-description dbus D-Bus
libdbus-1.so.3 libdbus-1-3 #MINVER#
dbus_address_entries_free@Base 1.0.2
dbus_address_entry_get_method@Base 1.0.2
dbus_address_entry_get_value@Base 1.0.2
dbus_address_escape_value@Base 1.0.2
dbus_address_unescape_value@Base 1.0.2
dbus_bus_add_match@Base 1.0.2
dbus_bus_get@Base 1.0.2
dbus_bus_get_id@Base 1.1.1
dbus_bus_get_private@Base 1.0.2
dbus_bus_get_unique_name@Base 1.0.2
dbus_bus_get_unix_user@Base 1.0.2
dbus_bus_name_has_owner@Base 1.0.2
dbus_bus_register@Base 1.0.2
dbus_bus_release_name@Base 1.0.2
dbus_bus_remove_match@Base 1.0.2
dbus_bus_request_name@Base 1.0.2
dbus_bus_set_unique_name@Base 1.0.2
dbus_bus_start_service_by_name@Base 1.0.2
dbus_connection_add_filter@Base 1.0.2
dbus_connection_allocate_data_slot@Base 1.0.2
dbus_connection_borrow_message@Base 1.0.2
dbus_connection_can_send_type@Base 1.3.1
dbus_connection_close@Base 1.0.2
dbus_connection_dispatch@Base 1.0.2
dbus_connection_flush@Base 1.0.2
dbus_connection_free_data_slot@Base 1.0.2
dbus_connection_free_preallocated_send@Base 1.0.2
dbus_connection_get_adt_audit_session_data@Base 1.2.4
dbus_connection_get_data@Base 1.0.2
dbus_connection_get_dispatch_status@Base 1.0.2
dbus_connection_get_is_anonymous@Base 1.1.1
dbus_connection_get_is_authenticated@Base 1.0.2
dbus_connection_get_is_connected@Base 1.0.2
dbus_connection_get_max_message_size@Base 1.0.2
dbus_connection_get_max_message_unix_fds@Base 1.3.1
dbus_connection_get_max_received_size@Base 1.0.2
dbus_connection_get_max_received_unix_fds@Base 1.3.1
dbus_connection_get_object_path_data@Base 1.0.2
dbus_connection_get_outgoing_size@Base 1.0.2
dbus_connection_get_outgoing_unix_fds@Base 1.3.1
dbus_connection_get_server_id@Base 1.1.1
dbus_connection_get_socket@Base 1.0.2
dbus_connection_get_unix_fd@Base 1.0.2
dbus_connection_get_unix_process_id@Base 1.0.2
dbus_connection_get_unix_user@Base 1.0.2
dbus_connection_get_windows_user@Base 1.1.1
dbus_connection_has_messages_to_send@Base 1.0.2
dbus_connection_list_registered@Base 1.0.2
dbus_connection_open@Base 1.0.2
dbus_connection_open_private@Base 1.0.2
dbus_connection_pop_message@Base 1.0.2
dbus_connection_preallocate_send@Base 1.0.2
dbus_connection_read_write@Base 1.0.2
dbus_connection_read_write_dispatch@Base 1.0.2
dbus_connection_ref@Base 1.0.2
dbus_connection_register_fallback@Base 1.0.2
dbus_connection_register_object_path@Base 1.0.2
dbus_connection_remove_filter@Base 1.0.2
dbus_connection_return_message@Base 1.0.2
dbus_connection_send@Base 1.0.2
dbus_connection_send_preallocated@Base 1.0.2
dbus_connection_send_with_reply@Base 1.0.2
dbus_connection_send_with_reply_and_block@Base 1.0.2
dbus_connection_set_allow_anonymous@Base 1.1.1
dbus_connection_set_change_sigpipe@Base 1.0.2
dbus_connection_set_data@Base 1.0.2
dbus_connection_set_dispatch_status_function@Base 1.0.2
dbus_connection_set_exit_on_disconnect@Base 1.0.2
dbus_connection_set_max_message_size@Base 1.0.2
dbus_connection_set_max_message_unix_fds@Base 1.3.1
dbus_connection_set_max_received_size@Base 1.0.2
dbus_connection_set_max_received_unix_fds@Base 1.3.1
dbus_connection_set_route_peer_messages@Base 1.0.2
dbus_connection_set_timeout_functions@Base 1.0.2
dbus_connection_set_unix_user_function@Base 1.0.2
dbus_connection_set_wakeup_main_function@Base 1.0.2
dbus_connection_set_watch_functions@Base 1.0.2
dbus_connection_set_windows_user_function@Base 1.1.1
dbus_connection_steal_borrowed_message@Base 1.0.2
dbus_connection_try_register_fallback@Base 1.1.4
dbus_connection_try_register_object_path@Base 1.1.4
dbus_connection_unref@Base 1.0.2
dbus_connection_unregister_object_path@Base 1.0.2
dbus_error_free@Base 1.0.2
dbus_error_has_name@Base 1.0.2
dbus_error_init@Base 1.0.2
dbus_error_is_set@Base 1.0.2
dbus_free@Base 1.0.2
dbus_free_string_array@Base 1.0.2
dbus_get_local_machine_id@Base 1.0.2
dbus_get_version@Base 1.1.4
dbus_internal_do_not_use_create_uuid@Base 1.0.2
dbus_internal_do_not_use_get_uuid@Base 1.0.2
dbus_malloc0@Base 1.0.2
dbus_malloc@Base 1.0.2
dbus_message_allocate_data_slot@Base 1.0.2
dbus_message_append_args@Base 1.0.2
dbus_message_append_args_valist@Base 1.0.2
dbus_message_contains_unix_fds@Base 1.3.1
dbus_message_copy@Base 1.0.2
dbus_message_demarshal@Base 1.1.1
dbus_message_demarshal_bytes_needed@Base 1.2.14
dbus_message_free_data_slot@Base 1.0.2
dbus_message_get_args@Base 1.0.2
dbus_message_get_args_valist@Base 1.0.2
dbus_message_get_auto_start@Base 1.0.2
dbus_message_get_data@Base 1.0.2
dbus_message_get_destination@Base 1.0.2
dbus_message_get_error_name@Base 1.0.2
dbus_message_get_interface@Base 1.0.2
dbus_message_get_member@Base 1.0.2
dbus_message_get_no_reply@Base 1.0.2
dbus_message_get_path@Base 1.0.2
dbus_message_get_path_decomposed@Base 1.0.2
dbus_message_get_reply_serial@Base 1.0.2
dbus_message_get_sender@Base 1.0.2
dbus_message_get_serial@Base 1.0.2
dbus_message_get_signature@Base 1.0.2
dbus_message_get_type@Base 1.0.2
dbus_message_has_destination@Base 1.0.2
dbus_message_has_interface@Base 1.0.2
dbus_message_has_member@Base 1.0.2
dbus_message_has_path@Base 1.0.2
dbus_message_has_sender@Base 1.0.2
dbus_message_has_signature@Base 1.0.2
dbus_message_is_error@Base 1.0.2
dbus_message_is_method_call@Base 1.0.2
dbus_message_is_signal@Base 1.0.2
dbus_message_iter_abandon_container@Base 1.2.16
dbus_message_iter_append_basic@Base 1.0.2
dbus_message_iter_append_fixed_array@Base 1.0.2
dbus_message_iter_close_container@Base 1.0.2
dbus_message_iter_get